gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.HarfBuzz.Structs.OtVarAxisT

Contents

- Exported types
- Methods
- Properties
  - defaultValue
  - maxValue
  - minValue
  - nameId
  - tag

Description

Use `OtVarAxisInfoT` instead.

Since: 1.4.2

Synopsis

- newtype OtVarAxisT = OtVarAxisT (ManagedPtr OtVarAxisT)
- newZeroOtVarAxisT :: MonadIO m => m OtVarAxisT
- getOtVarAxisTDefaultValue :: MonadIO m => OtVarAxisT -> m Float
- setOtVarAxisTDefaultValue :: MonadIO m => OtVarAxisT -> Float -> m ()
- getOtVarAxisTMaxValue :: MonadIO m => OtVarAxisT -> m Float
- setOtVarAxisTMaxValue :: MonadIO m => OtVarAxisT -> Float -> m ()
- getOtVarAxisTMinValue :: MonadIO m => OtVarAxisT -> m Float
- setOtVarAxisTMinValue :: MonadIO m => OtVarAxisT -> Float -> m ()
- getOtVarAxisTNameId :: MonadIO m => OtVarAxisT -> m Word32
- setOtVarAxisTNameId :: MonadIO m => OtVarAxisT -> Word32 -> m ()
- getOtVarAxisTTag :: MonadIO m => OtVarAxisT -> m Word32
- setOtVarAxisTTag :: MonadIO m => OtVarAxisT -> Word32 -> m ()

# Exported types

newtype OtVarAxisT Source #

Memory-managed wrapper type.

Constructors

OtVarAxisT (ManagedPtr OtVarAxisT) |

#### Instances

Instances details

Eq OtVarAxisT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtVarAxisT Methods (==) :: OtVarAxisT -> OtVarAxisT -> Bool Source # (/=) :: OtVarAxisT -> OtVarAxisT -> Bool Source #
BoxedPtr OtVarAxisT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtVarAxisT Methods boxedPtrCopy :: OtVarAxisT -> IO OtVarAxisT Source # boxedPtrFree :: OtVarAxisT -> IO () Source #
CallocPtr OtVarAxisT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtVarAxisT Methods boxedPtrCalloc :: IO (Ptr OtVarAxisT) Source #
ManagedPtrNewtype OtVarAxisT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtVarAxisT Methods toManagedPtr :: OtVarAxisT -> ManagedPtr OtVarAxisT Source #
tag ~ 'AttrSet => Constructible OtVarAxisT tag Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtVarAxisT Methods new :: MonadIO m => (ManagedPtr OtVarAxisT -> OtVarAxisT) -> [AttrOp OtVarAxisT tag] -> m OtVarAxisT Source #

newZeroOtVarAxisT :: MonadIO m => m OtVarAxisT Source #

Construct a `OtVarAxisT` struct initialized to zero.

# Methods

# Properties

## defaultValue

default value of the axis

getOtVarAxisTDefaultValue :: MonadIO m => OtVarAxisT -> m Float Source #

Get the value of the “`default_value`” field. When overloading is enabled, this is equivalent to

    get otVarAxisT #defaultValue

setOtVarAxisTDefaultValue :: MonadIO m => OtVarAxisT -> Float -> m () Source #

Set the value of the “`default_value`” field. When overloading is enabled, this is equivalent to

    set otVarAxisT [ #defaultValue := value ]

## maxValue

maximum value of the axis

getOtVarAxisTMaxValue :: MonadIO m => OtVarAxisT -> m Float Source #

Get the value of the “`max_value`” field. When overloading is enabled, this is equivalent to

    get otVarAxisT #maxValue

setOtVarAxisTMaxValue :: MonadIO m => OtVarAxisT -> Float -> m () Source #

Set the value of the “`max_value`” field. When overloading is enabled, this is equivalent to

    set otVarAxisT [ #maxValue := value ]

## minValue

minimum value of the axis

getOtVarAxisTMinValue :: MonadIO m => OtVarAxisT -> m Float Source #

Get the value of the “`min_value`” field. When overloading is enabled, this is equivalent to

    get otVarAxisT #minValue

setOtVarAxisTMinValue :: MonadIO m => OtVarAxisT -> Float -> m () Source #

Set the value of the “`min_value`” field. When overloading is enabled, this is equivalent to

    set otVarAxisT [ #minValue := value ]

## nameId

axis name identifier

getOtVarAxisTNameId :: MonadIO m => OtVarAxisT -> m Word32 Source #

Get the value of the “`name_id`” field. When overloading is enabled, this is equivalent to

    get otVarAxisT #nameId

setOtVarAxisTNameId :: MonadIO m => OtVarAxisT -> Word32 -> m () Source #

Set the value of the “`name_id`” field. When overloading is enabled, this is equivalent to

    set otVarAxisT [ #nameId := value ]

## tag

axis tag

getOtVarAxisTTag :: MonadIO m => OtVarAxisT -> m Word32 Source #

Get the value of the “`tag`” field. When overloading is enabled, this is equivalent to

    get otVarAxisT #tag

setOtVarAxisTTag :: MonadIO m => OtVarAxisT -> Word32 -> m () Source #

Set the value of the “`tag`” field. When overloading is enabled, this is equivalent to

    set otVarAxisT [ #tag := value ]